/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			FileMgrUtils.h		-- file utilities
*
*
*
*
*
*			 1998, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once


#ifndef __FILEMGRUTILS__
#define __FILEMGRUTILS__

#ifdef __cplusplus
extern "C" {
#endif

pascal	OSErr	GetDirectoryID( short vRefNum,
							    long dirID,
							    StringPtr name,
							    long *theDirID,
							    Boolean *isDirectory );

pascal	OSErr	FSpGetDirectoryID( const FSSpec *spec,
								   long *theDirID,
								   Boolean *isDirectory );

short		GetSFCurVol();
long		GetSFCurDir();
Boolean		GetFullPathname( FSSpec* aSpec, Str255 pathname );
OSErr 		MakeCanonFSSpec ( FSSpec *spec );
Boolean 	SameFile ( FSSpec *spec1, FSSpec *spec2 );
void		pStrInsert( StringPtr dest,StringPtr src );



#ifdef __cplusplus
}
#endif


#endif