/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZJPEGFile.h			-- a file object that can open JPEG images
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/



#pragma once

#ifndef __ZJPEGFILE__
#define	__ZJPEGFILE__

#include	"ZFile.h"
#include	<QDOffscreen.h>

class	ZGWorld;



class	ZJPEGFile : public ZFile
{
public:

	ZJPEGFile( const FSSpec& aSpec );

	virtual void	Read( ZGWorld*   aGWorld );
	virtual void	Read( GWorldPtr* aGWorld );
};


// this is a file class that can read JPEG (and JFIF) image files. The Read() methods
// above will either (a) modfy the GWorld of a ZGWorld object to suit the image. This is the
// recommended method, or (b) return a "naked" GWorld appropriately built.


#define		kNoSystemSupportForFeatureErr	990

#endif