/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			PixMapUtils.h		-- pixel map utilities
*
*
*
*
*
*			 1997, Graham Cox
*
*
*
*
*************************************************************************************************/



#pragma once

#ifndef __PIXMAPUTILS__
#define	__PIXMAPUTILS__

#ifdef __cplusplus
extern "C" {
#endif

// static functions

PixMapHandle	MakePixMap( Rect* aSize, short aDepth = 8, CTabHandle aCTable = NULL );
CGrafPtr		MakeOffscreenPort( Rect* aSize, short aDepth = 8, CTabHandle aCTable = NULL );
void			DisposeOffscreenPort( CGrafPtr aPort );
Handle			MakeIconFromPicture( PicHandle srcPic, OSType iconType );
void			InstallDitherProc( CGrafPtr aPort );
void			RemoveDitherProc( CGrafPtr aPort );
pascal void 	DitherBitsProc( BitMap *srcBits, Rect *srcRect, Rect *destRect, short mode, RgnHandle maskRgn );

#ifdef __cplusplus
}
#endif

#define			kAppleIconColoursCLUTID		129



#endif