/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZUndoIPTask.h		-- an undo task for Image Processing ops in GWorld windows
*
*									(provided as an example of how to use it)
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZUNDOIPTASK__
#define __ZUNDOIPTASK__

#ifndef __ZUNDOTASK__
#include	"ZUndoTask.h"
#endif


class	ZUndoIPTask : public ZUndoTask
{
protected:
	short	taskCode;

public:
	ZUndoIPTask( Str63 taskName, ZWindow* aWindow, short ipTaskID );
	
	virtual void	Do();
	virtual void	Undo();
};


// task codes (this task can handle more than one operation if you want)

enum
{
	undoInvert = 1
};


#define		kIPTasksStrResID	129	

#endif