/*
 *	Project:		SimpleApp
 *
 *	Filename: 		Utilities.h
 *
 *	Author: 		Marco Piovanelli, <mailto:marco.piovanelli@pobox.com>
 *
 *	Revision History:
 *
 *			1996.05.24				MP		created this file
 *			1997.11.23				MP		updated for UH 3.0.1
 *
 */

#ifndef __MACMEMORY__
#include <Memory.h>
#endif

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __AEDATAMODEL__
#include <AppleEvents.h>
#endif

void Assert ( Boolean inAssertion ) ;
void BlockClear ( void * ioBlockPtr, Size inBlockSize ) ;
void InitDesc ( AEDesc * ioDesc ) ;
void ForgetDesc ( AEDesc * ioDesc ) ;
OSStatus FindParentSpec ( FSSpec * ioFileSpec ) ;
