/************************************************************************************************
*
*
*		ColourPopUp.h		- high level call to work with PalMDEF function
*
*
*		15/7/94		1994 by Graham Cox
*
*
*************************************************************************************************/

#ifndef __COLOURPOPUP__
#define __COLOURPOPUP__

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align= mac68k
#endif

typedef struct
{
	MenuInfo		menuRecord;
	CTabHandle		menuColours;
	long			menuRefCon;
	short			initIndex;
}
CPMenuRecord, *CPMenuPtr, **CPMenuHandle;

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align= reset
#endif

#ifdef __cplusplus
extern "C" {
#endif

// high-level calls to pop-up colour chooser menus:

long		PopUpColourTable( Point location, CTabHandle aCTable, RGBColor *selectedColour, short initialItem );
long		PopUpColourPalette( Point location, short cTableID, RGBColor *selectedColour, short initialItem );

// MDEF function:

extern pascal void	PalMDEFFunction( short message, MenuHandle theMenu,
										Rect *menuRect, Point hitPt, short *whichItem );
										
// handy related utilities:

void		DrawSICN( short SICNid,short index,Point location );
void		InstallColourUserItem( DialogPtr theDialog,short theItem );
pascal void	StandardColourUserItem( DialogPtr theDialog,short theItem );
void		DrawStandardColourSelector( Rect *bounds,RGBColor *theColour );
void		UpdateDialogItem( DialogPtr theDialog, short theItem );
void		InvertStandardColourSelector( Rect *bounds );
void		Frame3DRect( Rect *bounds,Boolean zEffectFlag );

#ifdef __cplusplus
}
#endif


#define	kColourPopUpMenuID		1066
#define	kStdPopUpArrowSICN		-3990


extern RGBColor	gCurrentPopUpColour;

#endif