/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZTestInspector.cpp		-- inspector window object for test purposes
*
*
*
*
*
*			 1998, Graham Cox
*
*
*
*
*************************************************************************************************/

#include	"ZTestInspector.h"
#include	"MacZoop.h"


void	ZTestInspector::DrawContent()
{
	Rect	r;
	
	GetContentRect( &r );
	TETextBox( &wt[1], wt[0], &r, teJustCenter );
}


void	ZTestInspector::WindowBecomeActive( ZWindow* aWindow )
{
	aWindow->GetName( wt );
	PostRefresh();
}



void	ZTestInspector::WindowBecomeInactive( ZWindow* aWindow )
{
	wt[0] = 0;
	PostRefresh();
}
