/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZTestInspector.h		-- inspector window object for test purposes
*
*
*
*
*
*			 1998, Graham Cox
*
*
*
*
*************************************************************************************************/

#pragma once

#ifndef __ZTESTINSPECTOR__
#define	__ZTESTINSPECTOR__


#include	"ZInspectorWindow.h"



class	ZTestInspector	: public	ZInspectorWindow
{
public:
	ZTestInspector( ZCommander* aBoss, const short windID )
		: ZInspectorWindow( aBoss, windID ) { wt[0] = 0; };
		
	virtual void	DrawContent();
	virtual Boolean	Close( const short phase ) { Hide(); return TRUE; };
		
protected:

	virtual void	WindowBecomeActive( ZWindow* aWindow );
	virtual void	WindowBecomeInactive( ZWindow* aWindow );
	
	Str255		wt;
};


#endif