/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZHandleStream.h		-- a stream using Handle storage
*
*
*
*
*
*			 1998, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZHANDLESTREAM__
#define	__ZHANDLESTREAM__

#include	"ZStream.h"



class	ZHandleStream	: public ZStream
{
protected:
	Handle		h;
	char		hState;
	Boolean		ownsHandle;
	
public:

	ZHandleStream( Handle aHandle, Boolean becomeOwner = FALSE );
	ZHandleStream();
	
	virtual 	~ZHandleStream();
	
	inline		Handle	GetHandle() { return h; };

protected:
	virtual void	PutTo( void* data, long dataLen );
	virtual void	GetFrom( void* data, long* dataLen );	
};



#endif
