/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZAMDialog.h			-- a dialog box based on the appearance manager
*
*			
*
*
*
*			 1996, Graham Cox
*			Additional modifications/enhancements by Joe Strout.
*
*
*
*************************************************************************************************/

#pragma once

#ifndef __ZAMDIALOG__
#define	__ZAMDIALOG__

#include	"ZDialog.h"


class	ZAMDialog	: public ZDialog
{
public:

	ZAMDialog( ZCommander* aBoss, const short dlogID );
	
	virtual void	Activate();
	virtual void	Deactivate();
	virtual void	Type( const char theKey, const short modifiers );
	virtual void	Idle();
	virtual void	Draw();
	virtual void	Click( const Point mouse, const short modifiers );
};



Boolean		IsAMDialog( DialogPtr aDialog );



#endif