/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"			 
*
*
*
*			ZPrefsFile.h			-- the prefs file object
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZPREFSFILE__
#define	__ZPREFSFILE__

#include	"ZResourceFile.h"


class	ZPrefsFile	: public ZResourceFile
{
public:
	ZPrefsFile( Str255 fName );
	ZPrefsFile();
};


// that's all there is to this class- it will work like any resource file, but
// the constructor ensures that the file is located in the current prefs folder. If you use the
// default constructor, the prefs file will match that of the app with "prefs" appended.

#define		kPrefsFileType		'pref'

#endif