/*
 *	Project:		DirectoryPopup
 *
 *	Filename: 		DirectoryPopup.h
 *
 *	Author: 		Marco Piovanelli, <mailto:marco.piovanelli@pobox.com>
 *
 *	Version:		1.0.3, November 1997
 *
 */

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __MACWINDOWS__
#include <Windows.h>
#endif

#ifndef __MENUS__
#include <Menus.h>
#endif

//	Directory Popup calls

extern pascal MenuHandle
BuildDirectoryPopup				( const FSSpec * inFileSpec ) ;

extern pascal Boolean
TrackDirectoryPopup				( FSSpec * ioFileSpec,
								  WindowPtr inWindow,
								  Point inGlobalHitPt ) ;
