/*************************************************************************************************
*
*		xDEFJump.h			- allows embedded xDEFs to be called internally
*
*
*		13/7/94  Graham Cox
*
*
*************************************************************************************************/


#include	<MixedMode.h>


#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align= mac68k
#endif

typedef struct
{
   short   Jmp;			// jmp instruction
   void*   Routine;		// address to jump to
}
JmpInstructionTemplate;

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align= reset
#endif


Handle	GetUniversalFunctionHandle(ProcPtr functionAddress,ProcInfoType pInfo);
void 	PatchJmpInstruction(void* patchAddress, void* jumpAddress);


#ifdef __cplusplus
}
#endif
