/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZGrafState.h		-- a simple object for saving and restoring grafport state
*
*
*			 1997, Graham Cox
*
*
*
*************************************************************************************************/

#pragma once

#ifndef __ZGRAFSTATE__
#define	__ZGRAFSTATE__


class	ZGrafState
{
protected:
	CGrafPtr	port;
	GDHandle	dev;
	RgnHandle	clip;
	PenState	pen;
	RGBColor	fore;
	RGBColor	back;
	short		font;
	short		fSize;
	Style		fStyle;
	short		fMode;

public:
	ZGrafState();
	virtual ~ZGrafState();
	
	void	Record();
	void	Restore();
};

#endif