/*************************************************************************************************
*
*
*			MacZoop - "the framework for the rest of us"		 
*
*
*
*			ZObject.cpp			-- the root object (abstract class)
*
*
*
*
*
*			 1998, Graham Cox
*
*
*
*
*************************************************************************************************/

#include	"ZObject.h"
#include	"ZObjectArray.cpp"
#include	"MacZoop.h"

#if _MACZOOP_STREAMS

ZClassRegistry*		gClasses = new ZClassRegistry();

CLASSCONSTRUCTOR( ZObjectList );

/*----------------------------***  GETCLASSNAME  ***------------------------------*/
/*
return the human readable name of the class of this object
----------------------------------------------------------------------------------*/


void	ZObject::GetClassName( Str255 aName )
{
	gClasses->GetNameOfClass( classID, aName );
}

#else

ZClassRegistry*		gClasses = NULL;

void	ZObject::GetClassName( Str255 aName ) {}

#endif